diff --git a/sound/usb/mixer.c b/sound/usb/mixer.c
index 3d70245..70df2f9 100644
--- a/sound/usb/mixer.c
+++ b/sound/usb/mixer.c
@@ -369,7 +369,8 @@ error:
 
 static int get_ctl_value(struct usb_mixer_elem_info *cval, int request, int validx, int *value_ret)
 {
-	return (cval->mixer->protocol == UAC_VERSION_1) ?
+	return (cval->mixer->protocol == UAC_VERSION_1 || 
+		cval->mixer->chip->usb_id == USB_ID(0x0763, 0x2030)) ?
 		get_ctl_value_v1(cval, request, validx, value_ret) :
 		get_ctl_value_v2(cval, request, validx, value_ret);
 }
@@ -419,7 +420,8 @@ int snd_usb_mixer_set_ctl_value(struct usb_mixer_elem_info *cval,
 	unsigned char buf[2];
 	int val_len, err, timeout = 10;
 
-	if (cval->mixer->protocol == UAC_VERSION_1) {
+	if (cval->mixer->protocol == UAC_VERSION_1 || 
+		cval->mixer->chip->usb_id == USB_ID(0x0763, 0x2030)) {
 		val_len = cval->val_type >= USB_MIXER_S16 ? 2 : 1;
 	} else { /* UAC_VERSION_2 */
 		/* audio class v2 controls are always 2 bytes in size */
